hdt-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rahul Sharma <rahul0...@gmail.com>
Subject Maven build
Date Tue, 03 Sep 2013 15:31:34 GMT
Hi devs,

I tried doing  a maven build this via a simple copy process, where I am
copying the required dependencies and generation the required packaging.
But there are some issues in the same. Eclipse does not publish their
latest artifacts in maven central or any of the other repositories[1].  I
could only find dependencies for 3.6 version of eclipse core [2].  Other
related dependencies like swt, Jfaces [2] etc are also of older versions,
available via maven central.

In order to get around the problem I checked how they are doing it in tycho
plugin, as they use the latest versions there. They are packing their own
jars and we could use a few(osgi, runtime etc), which can provide us the
latest versions. I am not sure of what to with the rest, if we do it in
this manner.

Much of the problem is due to the eclipse pde
libs(core,runtime,osgi,emf,jface,swf etc) that are required for the build.
I have also tried maven-pde plugin but that requires eclipse path of the
machine. I believe it is not actively developed anymore.

Are there any suggestions ?

regards
Rahul

[1] https://oss.sonatype.org
[2] http://mvnrepository.com/artifact/org.eclipse.core
[3] http://mvnrepository.com/artifact/org.eclipse/jface

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message